Skip to main content
GET
/
v1
/
virtual-account
/
{virtual_account_id}
/
transactions
Fetch Virtual Account Transactions
curl --request GET \
  --url https://sandbox.api.fin.com/v1/virtual-account/{virtual_account_id}/transactions \
  --header 'Authorization: Bearer <token>'
const url = 'https://sandbox.api.fin.com/v1/virtual-account/{virtual_account_id}/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/virtual-account/{virtual_account_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();
import requests

url = "https://sandbox.api.fin.com/v1/virtual-account/{virtual_account_id}/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://sandbox.api.fin.com/v1/virtual-account/{virtual_account_id}/transactions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": {
    "transactions": [
      {
        "id": "e34a382f-f0b6-40f2-b53b-97cb31f0506c",
        "transaction_type": "ONRAMP",
        "beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "hash": "<string>",
        "transaction_ref_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "from_amount": 0,
        "payout_amount": 0,
        "processing_amount": 123,
        "status": "COMPLETED",
        "fx_rate": 0,
        "developer_fee": 0,
        "developer_fee_percentage": 0,
        "developer_fee_fixed": 123,
        "from_currency": "USD",
        "payout_currency": "USDC",
        "virtual_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 10,
      "total_page": 1,
      "total": 4
    }
  }
}
{
"message": "Authentication failed"
}
{
"message": "Resource not found"
}
{
"message": "<string>",
"errors": [
{}
]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Path Parameters

virtual_account_id
string<uuid>
required

Query Parameters

page
integer
default:1
limit
integer
default:10

Response

Virtual account transactions retrieved successfully

data
object
required